Bug 429494 - The only way to *actually* disable ipv6 causes services to post "FATAL: Module off not found" during boot
Summary: The only way to *actually* disable ipv6 causes services to post "FATAL: Modul...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-21 05:25 UTC by Steve Morgan
Modified: 2008-01-23 00:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 00:19:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Morgan 2008-01-21 05:25:08 UTC
Description of problem: The only way I found to successfully disable ipv6 is to
add "alias ipv6 off" to /etc/modprobe.conf. Adding IPV6INIT=no to
network-scripts/ifcfg-eth0 or NETWORKING_IPV6=no to /etc/sysconfig/network does
nothing.  Running "lsof -i" will still show a few services using IPV6

Version-Release number of selected component (if applicable): All versions.  I
think this might be a problem with init scripts trying to load the ipv6 module
and is not allowed.

How reproducible: Add "alias ipv6 off" to /etc/modprobe.conf.  This is the only
way I have been able to disable ipv6 on multiple systems.


Steps to Reproduce:
1. Add "NETWORKING_IPV6=no" to /etc/sysconfig/network
2. Add "IPV6INIT=no" to /etc/sysconfig/network-scripts/ifcfg-eth*
3. reboot and run "lsof -i" and check for running instances of ipv6.
*No effect from the options
4. echo "alias ipv6 off" >> /etc/modprobe.conf
5. reboot and you notice "FATAL: Module off not found" twice around the time the
network script is coming up.

  
Actual results: ipv6 is always enabled unless you force a *workaround* alias off
option to get ipv6 to not load.

Expected results: no ipv6 with the options included in the report.
"NETWORKING_IPV6=no"
'IPV6INIT=no"

Additional info: I have also tried the noipv6 kernel option and multiple
different combinations of these configs.  The only thing I can see is references
to ipv6 in /etc/init.d/network

Comment 1 Chuck Ebbert 2008-01-22 00:08:13 UTC
(In reply to comment #0)
> 4. echo "alias ipv6 off" >> /etc/modprobe.conf

Try this:
install ipv6 /bin/true


Comment 2 Steve Morgan 2008-01-22 01:14:00 UTC
install: cannot stat `ipv6': No such file or directory

Comment 3 Steve Morgan 2008-01-22 04:26:02 UTC
Sorry it has been a long day. I added this line to /etc/modprobe.conf both
before and and after alias ipv6 off to no avail.

Comment 4 Steve Morgan 2008-01-22 04:28:06 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > 4. echo "alias ipv6 off" >> /etc/modprobe.conf
> 
> Try this:
> install ipv6 /bin/true
> 

I was not replying to your message so maybe you did not notice I responded.

Just a note.

alias net-pf-10 off

That module does not exist on a Fedora 8 or Fedora 7 system.  This was around
in FC6 and earlier? Everywhere I looked said "include this line" included in
/etc/modprobe.conf too. Any reason why that line would need
to be included even though the module does not exist?


Comment 5 Dave Jones 2008-01-22 17:59:30 UTC
modinfo ipv6, and it should be clear.  net-pf-10 is an alias.  The network layer
on receiving a packet will try to load a module for the relevant protocol if one
isn't already present.


Comment 6 Steve Morgan 2008-01-22 21:12:10 UTC
(In reply to comment #5)
> modinfo ipv6, and it should be clear.  net-pf-10 is an alias.  The network layer
> on receiving a packet will try to load a module for the relevant protocol if one
> isn't already present.
> 

Thanks. That makes sense. Anyway here is my updated /etc/modprobe.conf that's
still getting "FATAL Module off not found" during boot.

alias ipv6 off
alias net-pf-10 off
install ipv6 /bin/true





Comment 7 Chuck Ebbert 2008-01-22 21:22:58 UTC
(In reply to comment #6)
> 
> alias ipv6 off
> alias net-pf-10 off
> install ipv6 /bin/true
> 

Get rid of everything but the install command. That works here...

Comment 8 Steve Morgan 2008-01-22 21:51:03 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > 
> > alias ipv6 off
> > alias net-pf-10 off
> > install ipv6 /bin/true
> > 
> 
> Get rid of everything but the install command. That works here...

Thank you. This fixed the problem and ipv6 did not load.


Comment 9 Jon Stanley 2008-01-23 00:19:25 UTC
closing bug


Note You need to log in before you can comment on or make changes to this bug.